Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82601 - man -k postfix => postfix: nothing appropriate
Summary: man -k postfix => postfix: nothing appropriate
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-23 22:12 UTC by nt.guilde
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-19 21:43:49 UTC


Attachments (Terms of Use)

Description nt.guilde 2003-01-23 22:12:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
  You have an error in /usr/sbin/makewhatis, which prevents some commands like
'postfix' from appearing in /var/cache/man/whatis. I traced it down to this :

At the end of do_one(), for the 'ls' and 'postfix' man pages :
 
entire_line == "ls \- list directory contents"
entire_line == "postfix \Postfix control program"

In handle_entire_line() :

              if (!match(x, / - /))
                return;

which rids of 'postfix'.

  The difference between the two pages is :

.SH NAME
ls \- list directory contents

and

.SH NAME
postfix
\-
Postfix control program

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. man -k postfix
2.
3.
    

Additional info:

Comment 1 Eido Inoue 2003-02-19 21:43:49 UTC
refixed in man-1.5k-5+


Note You need to log in before you can comment on or make changes to this bug.